Skip to navigation

Create a new callout

View as Markdown
Create a new callout

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestringRequired1-35 characters
textColorstring or nullOptionalformat: "^#?([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$"1-7 characters
backgroundColorstring or nullOptionalformat: "^#?([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$"1-7 characters

Response

Successful operation
hrefstringRead-only
namestring<=35 characters
idstringformat: "uuid"
textColorstring or nullOptionalformat: "^#?([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$"<=7 characters
backgroundColorstring or nullOptionalformat: "^#?([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$"<=7 characters

Errors

400
Bad Request Error